org.apache.cassandra.db.index.composites

## Class CompositesSearcher

- java.lang.Object
- - org.apache.cassandra.db.index.SecondaryIndexSearcher
  - - org.apache.cassandra.db.index.composites.CompositesSearcher

    public class CompositesSearcher
    extends SecondaryIndexSearcher

### Field Summary

### Fields inherited from class org.apache.cassandra.db.index.SecondaryIndexSearcher

`baseCfs, columns, indexManager`

### Constructor Summary

Constructors
Constructor and Description
`CompositesSearcher(SecondaryIndexManager indexManager, java.util.Set<java.nio.ByteBuffer> columns)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<Row>` `search(ExtendedFilter filter)`

### Methods inherited from class org.apache.cassandra.db.index.SecondaryIndexSearcher

`canHandleIndexClause, highestSelectivityIndex, highestSelectivityPredicate, postReconciliationProcessing, requiresScanningAllRanges, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CompositesSearcher

    public CompositesSearcher(SecondaryIndexManager indexManager,
                              java.util.Set<java.nio.ByteBuffer> columns)

### Method Detail

#### search

    public java.util.List<Row> search(ExtendedFilter filter)

Specified by:
  `search` in class `SecondaryIndexSearcher`